net.sf.jasperreports.engine.export

## Class JRXlsExporter

- java.lang.Object
- - net.sf.jasperreports.engine.JRAbstractExporter<RC,C,OutputStreamExporterOutput,E>
  - - net.sf.jasperreports.engine.export.JRXlsAbstractExporter<XlsReportConfiguration,XlsExporterConfiguration,JRXlsExporterContext>
    - - net.sf.jasperreports.engine.export.JRXlsExporter

- All Implemented Interfaces:
    JRExporter<ExporterInput,XlsReportConfiguration,XlsExporterConfiguration,OutputStreamExporterOutput>, Exporter<ExporterInput,XlsReportConfiguration,XlsExporterConfiguration,OutputStreamExporterOutput>

      public class JRXlsExporter
      extends JRXlsAbstractExporter<XlsReportConfiguration,XlsExporterConfiguration,JRXlsExporterContext>

  Exports a JasperReports document to XLS format. It has binary output type and exports the document to a grid-based layout.
  Version:
    $Id: JRXlsExporter.java 7069 2014-04-30 14:17:04Z shertage $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    `JRXlsAbstractExporter`, `XlsExporterConfiguration`, `XlsReportConfiguration`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `JRXlsExporter.ExporterContext`
    `protected class` | `JRXlsExporter.StyleInfo`

    - ### Nested classes/interfaces inherited from class net.sf.jasperreports.engine.export.JRXlsAbstractExporter

      `JRXlsAbstractExporter.SheetInfo, JRXlsAbstractExporter.TextAlignHolder`

    - ### Nested classes/interfaces inherited from class net.sf.jasperreports.engine.JRAbstractExporter

      `JRAbstractExporter.BaseExporterContext, JRAbstractExporter.PageRange`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Map<java.lang.String,java.util.List<org.apache.poi.ss.usermodel.Hyperlink>>` | `anchorLinks`
    `protected java.util.Map<java.lang.String,org.apache.poi.hssf.usermodel.HSSFName>` | `anchorNames`
    `protected short` | `backgroundMode`
    `protected short` | `blackIndex`
    `protected org.apache.poi.hssf.usermodel.HSSFCell` | `cell`
    `protected org.apache.poi.ss.usermodel.CreationHelper` | `createHelper`
    `protected short` | `customColorIndex`
    `protected org.apache.poi.hssf.usermodel.HSSFDataFormat` | `dataFormat`
    `protected org.apache.poi.hssf.usermodel.HSSFCellStyle` | `emptyCellStyle`
    `protected java.util.Map<JRXlsExporter.StyleInfo,org.apache.poi.hssf.usermodel.HSSFCellStyle>` | `loadedCellStyles`
    `static short` | `MAX_COLOR_INDEX`
    `static short` | `MIN_COLOR_INDEX`
    `protected java.util.Map<java.lang.Integer,java.util.List<org.apache.poi.ss.usermodel.Hyperlink>>` | `pageLinks`
    `protected org.apache.poi.hssf.usermodel.HSSFPatriarch` | `patriarch`
    `protected org.apache.poi.hssf.usermodel.HSSFRow` | `row`
    `protected org.apache.poi.hssf.usermodel.HSSFSheet` | `sheet`
    `protected short` | `whiteIndex`
    `protected org.apache.poi.hssf.usermodel.HSSFWorkbook` | `workbook`
    `static java.lang.String` | `XLS_EXPORTER_KEY` The exporter key, as used in `GenericElementHandlerEnviroment.getElementHandler(JRGenericElementType, String)`.

    - ### Fields inherited from class net.sf.jasperreports.engine.export.JRXlsAbstractExporter

      `autoFilterEnd, autoFilterStart, DEFAULT_SHEET_NAME_PREFIX, defaultFont, firstPageNotSet, gridColumnFreezeIndex, gridRowFreezeIndex, invalidCharReplacement, isFreezeColumnEdge, isFreezeRowEdge, keepTemplateSheets, loadedFonts, maxColumnFreezeIndex, maxRowFreezeIndex, nature, onePagePerSheetMap, pageIndex, PROPERTY_AUTO_FILTER, PROPERTY_AUTO_FIT_COLUMN, PROPERTY_AUTO_FIT_ROW, PROPERTY_BREAK_AFTER_ROW, PROPERTY_BREAK_BEFORE_ROW, PROPERTY_CELL_FORMULA, PROPERTY_CELL_HIDDEN, PROPERTY_CELL_LOCKED, PROPERTY_CELL_PATTERN, PROPERTY_COLUMN_WIDTH, PROPERTY_COLUMN_WIDTH_RATIO, PROPERTY_FIRST_PAGE_NUMBER, PROPERTY_FIT_HEIGHT, PROPERTY_FIT_WIDTH, PROPERTY_FREEZE_COLUMN, PROPERTY_FREEZE_COLUMN_EDGE, PROPERTY_FREEZE_ROW, PROPERTY_FREEZE_ROW_EDGE, PROPERTY_IGNORE_ANCHORS, PROPERTY_IGNORE_HYPERLINK, PROPERTY_IMAGE_ANCHOR_TYPE, PROPERTY_PAGE_SCALE, PROPERTY_ROW_OUTLINE_LEVEL_PREFIX, PROPERTY_SHEET_DIRECTION, PROPERTY_SHEET_FOOTER_CENTER, PROPERTY_SHEET_FOOTER_LEFT, PROPERTY_SHEET_FOOTER_RIGHT, PROPERTY_SHEET_HEADER_CENTER, PROPERTY_SHEET_HEADER_LEFT, PROPERTY_SHEET_HEADER_RIGHT, PROPERTY_SHEET_NAME, PROPERTY_SHOW_GRIDLINES, PROPERTY_USE_TIMEZONE, PROPERTY_WORKBOOK_TEMPLATE, PROPERTY_WORKBOOK_TEMPLATE_KEEP_SHEETS, PROPERTY_WRAP_TEXT, reportIndex, sheetIndex, sheetNames, sheetNamesIndex, sheetNamesMap, sheetsBeforeCurrentReport, sheetsBeforeCurrentReportMap, workbookTemplate, XLS_EXPORTER_PROPERTIES_PREFIX`

    - ### Fields inherited from class net.sf.jasperreports.engine.JRAbstractExporter

      `allSelector, crtCompositeConfiguration, crtCompositeItemConfiguration, crtItem, dateFormatCache, EXCEPTION_MESSAGE_KEY_END_PAGE_INDEX_OUT_OF_RANGE, EXCEPTION_MESSAGE_KEY_PAGE_INDEX_OUT_OF_RANGE, EXCEPTION_MESSAGE_KEY_START_PAGE_INDEX_OUT_OF_RANGE, exporterConfiguration, exporterContext, exporterInput, exporterOutput, filter, itemConfiguration, jasperPrint, jasperReportsContext, noBackcolorSelector, noneSelector, numberFormatCache, parameters, propertiesUtil, PROPERTY_DEFAULT_FILTER_FACTORY, PROPERTY_SUFFIX_DEFAULT_FILTER_FACTORY, styledTextUtil`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRXlsExporter()`
    `JRXlsExporter(JasperReportsContext jasperReportsContext)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addBlankCell(JRExporterGridCell gridCell, int colIndex, int rowIndex)`
    `protected void` | `addOccupiedCell(OccupiedGridCell occupiedGridCell, int colIndex, int rowIndex)`
    `protected void` | `closeWorkbook(java.io.OutputStream os)`
    `protected void` | `createMergeRegion(JRExporterGridCell gridCell, int colIndex, int rowIndex, org.apache.poi.hssf.usermodel.HSSFCellStyle cellStyle)`
    `protected void` | `createSheet(CutsInfo xCuts, JRXlsAbstractExporter.SheetInfo sheetInfo)`
    `protected void` | `createTextCell(JRPrintText textElement, JRExporterGridCell gridCell, int colIndex, int rowIndex, JRStyledText styledText, JRXlsExporter.StyleInfo baseStyle, short forecolor)`
    `protected void` | `endCreateCell(org.apache.poi.hssf.usermodel.HSSFCellStyle cellStyle)`
    `protected void` | `exportFrame(JRPrintFrame frame, JRExporterGridCell gridCell, int x, int y)`
    `protected void` | `exportGenericElement(JRGenericPrintElement element, JRExporterGridCell gridCell, int colIndex, int rowIndex, int emptyCols, int yCutsRow, JRGridLayout layout)`
    `void` | `exportImage(JRPrintImage element, JRExporterGridCell gridCell, int colIndex, int rowIndex, int emptyCols, int yCutsRow, JRGridLayout layout)`
    `protected void` | `exportLine(JRPrintLine line, JRExporterGridCell gridCell, int colIndex, int rowIndex)`
    `protected void` | `exportRectangle(JRPrintGraphicElement element, JRExporterGridCell gridCell, int colIndex, int rowIndex)`
    `void` | `exportText(JRPrintText textElement, JRExporterGridCell gridCell, int colIndex, int rowIndex)`
    `protected static short` | `getBorderStyle(JRPen pen)`
    `protected double` | `getColumnRelativePosition(JRGridLayout layout, int col, int offset)`
    `protected java.lang.Class<XlsExporterConfiguration>` | `getConfigurationInterface()`
    `java.lang.String` | `getExporterKey()`
    `java.lang.String` | `getExporterPropertiesPrefix()` Returns the properties prefix for the current exporter.
    `protected java.lang.Class<XlsReportConfiguration>` | `getItemConfigurationInterface()`
    `protected org.apache.poi.hssf.usermodel.HSSFCellStyle` | `getLoadedCellStyle(JRXlsExporter.StyleInfo style)`
    `protected org.apache.poi.hssf.usermodel.HSSFCellStyle` | `getLoadedCellStyle(short mode, short backcolor, short horizontalAlignment, short verticalAlignment, short rotation, org.apache.poi.hssf.usermodel.HSSFFont font, JRExporterGridCell gridCell)`
    `protected org.apache.poi.hssf.usermodel.HSSFCellStyle` | `getLoadedCellStyle(short mode, short backcolor, short horizontalAlignment, short verticalAlignment, short rotation, org.apache.poi.hssf.usermodel.HSSFFont font, JRExporterGridCell gridCell, boolean isCellLocked, boolean isCellHidden)`
    `protected org.apache.poi.hssf.usermodel.HSSFCellStyle` | `getLoadedCellStyle(short mode, short backcolor, short horizontalAlignment, short verticalAlignment, short rotation, org.apache.poi.hssf.usermodel.HSSFFont font, net.sf.jasperreports.engine.export.JRXlsExporter.BoxStyle box)`
    `protected org.apache.poi.hssf.usermodel.HSSFCellStyle` | `getLoadedCellStyle(short mode, short backcolor, short horizontalAlignment, short verticalAlignment, short rotation, org.apache.poi.hssf.usermodel.HSSFFont font, net.sf.jasperreports.engine.export.JRXlsExporter.BoxStyle box, boolean isCellLocked, boolean isCellHidden)`
    `protected org.apache.poi.hssf.usermodel.HSSFFont` | `getLoadedFont(JRFont font, short forecolor, java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object> attributes, java.util.Locale locale)`
    `protected static org.apache.poi.hssf.util.HSSFColor` | `getNearestColor(java.awt.Color awtColor)`
    `protected org.apache.poi.hssf.usermodel.HSSFRichTextString` | `getRichTextString(JRStyledText styledText, short forecolor, JRFont defaultFont, java.util.Locale locale)`
    `protected double` | `getRowRelativePosition(JRGridLayout layout, int row, int offset)`
    `protected org.apache.poi.hssf.util.HSSFColor` | `getWorkbookColor(java.awt.Color awtColor)`
    `protected org.apache.poi.hssf.usermodel.HSSFCellStyle` | `initCreateCell(JRExporterGridCell gridCell, int colIndex, int rowIndex, JRXlsExporter.StyleInfo baseStyle)`
    `protected void` | `initExport()`
    `protected void` | `initReport()`
    `protected void` | `openWorkbook(java.io.OutputStream os)`
    `protected void` | `setAutoFilter(java.lang.String autoFilterRange)`
    `protected void` | `setColumnWidth(int col, int width, boolean autoFit)`
    `protected void` | `setFreezePane(int rowIndex, int colIndex, boolean isRowEdge, boolean isColumnEdge)` Creates a freeze pane for the current sheet.
    `protected void` | `setHyperlinkCell(JRPrintHyperlink hyperlink)`
    `protected void` | `setRichTextStringCellValue(JRStyledText styledText, short forecolor, JRFont defaultFont, java.util.Locale locale)`
    `protected void` | `setRowHeight(int rowIndex, int lastRowHeight, Cut yCut, XlsRowLevelInfo levelInfo)`
    `protected void` | `setRowLevels(XlsRowLevelInfo levelInfo, java.lang.String level)`
    `protected void` | `setScale(java.lang.Integer scale)`
    `protected void` | `setSheetName(java.lang.String sheetName)`
    `protected void` | `setStringCellValue(java.lang.String textStr)`

    - ### Methods inherited from class net.sf.jasperreports.engine.export.JRXlsAbstractExporter

      `calculateHeightForDinAN, calculateHeightForDinBN, calculateHeightForDinCN, calculateWidthForDinAN, calculateWidthForDinBN, calculateWidthForDinCN, ensureOutput, exportPage, exportReport, exportReportToStream, exportSheet, getColumnIndex, getColumnName, getConvertedPattern, getDefaultFont, getFormula, getImageBorderCorrection, getNature, getSheetProps, getStyledText, getTextAlignHolder, getWorkbookTemplate, hasGlobalSheetNames, isCellHidden, isCellLocked, isUseTimeZone, isValidScale, isWorkbookTemplateKeepSheets, isWrapText, mergeAndSetRowLevels, resetAutoFilters, setColumnWidths, setFreezePane, setSheetNames, setWorkbookTemplate, setWorkbookTemplateKeepSheets, translateDateValue`

    - ### Methods inherited from class net.sf.jasperreports.engine.JRAbstractExporter

      `createFilter, defaultParseNumber, ensureInput, ensureJasperReportsContext, getBooleanCellValue, getCurrentConfiguration, getCurrentItemConfiguration, getCurrentJasperPrint, getCustomHandler, getDateCellValue, getDateFormat, getExporterContext, getExporterInput, getExporterOutput, getHyperlinkProducer, getJasperReportsContext, getLocale, getNumberCellValue, getNumberFormat, getOffsetX, getOffsetY, getPageRange, getParameter, getParameters, getPropertiesUtil, getReportContext, getStyledText, getTextFormatFactoryClass, getTextLocale, getTextTimeZone, getTextValue, getTextValueString, reset, resetClassLoader, resetExportContext, restoreElementOffsets, setClassLoader, setConfiguration, setConfiguration, setCurrentExporterInputItem, setExporterInput, setExporterOutput, setFrameElementsOffset, setJasperPrint, setJasperReportsContext, setOffset, setOffset, setParameter, setParameters, setReportContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### XLS_EXPORTER_KEY

          public static final java.lang.String XLS_EXPORTER_KEY

      The exporter key, as used in `GenericElementHandlerEnviroment.getElementHandler(JRGenericElementType, String)`.
      See Also:
        Constant Field Values

    - #### MAX_COLOR_INDEX

          public static short MAX_COLOR_INDEX

    - #### MIN_COLOR_INDEX

          public static short MIN_COLOR_INDEX

    - #### loadedCellStyles

          protected java.util.Map<JRXlsExporter.StyleInfo,org.apache.poi.hssf.usermodel.HSSFCellStyle> loadedCellStyles

    - #### anchorLinks

          protected java.util.Map<java.lang.String,java.util.List<org.apache.poi.ss.usermodel.Hyperlink>> anchorLinks

    - #### pageLinks

          protected java.util.Map<java.lang.Integer,java.util.List<org.apache.poi.ss.usermodel.Hyperlink>> pageLinks

    - #### anchorNames

          protected java.util.Map<java.lang.String,org.apache.poi.hssf.usermodel.HSSFName> anchorNames

    - #### workbook

          protected org.apache.poi.hssf.usermodel.HSSFWorkbook workbook

    - #### sheet

          protected org.apache.poi.hssf.usermodel.HSSFSheet sheet

    - #### row

          protected org.apache.poi.hssf.usermodel.HSSFRow row

    - #### cell

          protected org.apache.poi.hssf.usermodel.HSSFCell cell

    - #### emptyCellStyle

          protected org.apache.poi.hssf.usermodel.HSSFCellStyle emptyCellStyle

    - #### createHelper

          protected org.apache.poi.ss.usermodel.CreationHelper createHelper

    - #### whiteIndex

          protected short whiteIndex

    - #### blackIndex

          protected short blackIndex

    - #### customColorIndex

          protected short customColorIndex

    - #### backgroundMode

          protected short backgroundMode

    - #### dataFormat

          protected org.apache.poi.hssf.usermodel.HSSFDataFormat dataFormat

    - #### patriarch

          protected org.apache.poi.hssf.usermodel.HSSFPatriarch patriarch

  - ### Constructor Detail

    - #### JRXlsExporter

          public JRXlsExporter()

      See Also:
        `JRXlsExporter(JasperReportsContext)`

    - #### JRXlsExporter

          public JRXlsExporter(JasperReportsContext jasperReportsContext)

  - ### Method Detail

    - #### getConfigurationInterface

          protected java.lang.Class<XlsExporterConfiguration> getConfigurationInterface()

      Specified by:
        `getConfigurationInterface` in class `JRAbstractExporter<XlsReportConfiguration,XlsExporterConfiguration,OutputStreamExporterOutput,JRXlsExporterContext>`

    - #### getItemConfigurationInterface

          protected java.lang.Class<XlsReportConfiguration> getItemConfigurationInterface()

      Specified by:
        `getItemConfigurationInterface` in class `JRAbstractExporter<XlsReportConfiguration,XlsExporterConfiguration,OutputStreamExporterOutput,JRXlsExporterContext>`

    - #### initExport

          protected void initExport()

      Overrides:
        `initExport` in class `JRXlsAbstractExporter<XlsReportConfiguration,XlsExporterConfiguration,JRXlsExporterContext>`

    - #### initReport

          protected void initReport()

      Overrides:
        `initReport` in class `JRXlsAbstractExporter<XlsReportConfiguration,XlsExporterConfiguration,JRXlsExporterContext>`

    - #### openWorkbook

          protected void openWorkbook(java.io.OutputStream os)

      Specified by:
        `openWorkbook` in class `JRXlsAbstractExporter<XlsReportConfiguration,XlsExporterConfiguration,JRXlsExporterContext>`

    - #### createSheet

          protected void createSheet(CutsInfo xCuts,
                         JRXlsAbstractExporter.SheetInfo sheetInfo)

      Specified by:
        `createSheet` in class `JRXlsAbstractExporter<XlsReportConfiguration,XlsExporterConfiguration,JRXlsExporterContext>`

    - #### closeWorkbook

          protected void closeWorkbook(java.io.OutputStream os)
                                throws JRException

      Specified by:
        `closeWorkbook` in class `JRXlsAbstractExporter<XlsReportConfiguration,XlsExporterConfiguration,JRXlsExporterContext>`
      Throws:
        `JRException`

    - #### setColumnWidth

          protected void setColumnWidth(int col,
                            int width,
                            boolean autoFit)

      Specified by:
        `setColumnWidth` in class `JRXlsAbstractExporter<XlsReportConfiguration,XlsExporterConfiguration,JRXlsExporterContext>`

    - #### setRowHeight

          protected void setRowHeight(int rowIndex,
                          int lastRowHeight,
                          Cut yCut,
                          XlsRowLevelInfo levelInfo)

      Specified by:
        `setRowHeight` in class `JRXlsAbstractExporter<XlsReportConfiguration,XlsExporterConfiguration,JRXlsExporterContext>`

    - #### addBlankCell

          protected void addBlankCell(JRExporterGridCell gridCell,
                          int colIndex,
                          int rowIndex)

      Specified by:
        `addBlankCell` in class `JRXlsAbstractExporter<XlsReportConfiguration,XlsExporterConfiguration,JRXlsExporterContext>`

    - #### addOccupiedCell

          protected void addOccupiedCell(OccupiedGridCell occupiedGridCell,
                             int colIndex,
                             int rowIndex)

      Specified by:
        `addOccupiedCell` in class `JRXlsAbstractExporter<XlsReportConfiguration,XlsExporterConfiguration,JRXlsExporterContext>`

    - #### exportLine

          protected void exportLine(JRPrintLine line,
                        JRExporterGridCell gridCell,
                        int colIndex,
                        int rowIndex)

      Specified by:
        `exportLine` in class `JRXlsAbstractExporter<XlsReportConfiguration,XlsExporterConfiguration,JRXlsExporterContext>`

    - #### exportRectangle

          protected void exportRectangle(JRPrintGraphicElement element,
                             JRExporterGridCell gridCell,
                             int colIndex,
                             int rowIndex)

      Specified by:
        `exportRectangle` in class `JRXlsAbstractExporter<XlsReportConfiguration,XlsExporterConfiguration,JRXlsExporterContext>`

    - #### exportText

          public void exportText(JRPrintText textElement,
                        JRExporterGridCell gridCell,
                        int colIndex,
                        int rowIndex)
                          throws JRException

      Specified by:
        `exportText` in class `JRXlsAbstractExporter<XlsReportConfiguration,XlsExporterConfiguration,JRXlsExporterContext>`
      Throws:
        `JRException`

    - #### createTextCell

          protected void createTextCell(JRPrintText textElement,
                            JRExporterGridCell gridCell,
                            int colIndex,
                            int rowIndex,
                            JRStyledText styledText,
                            JRXlsExporter.StyleInfo baseStyle,
                            short forecolor)
                                 throws JRException

      Throws:
        `JRException`

    - #### initCreateCell

          protected org.apache.poi.hssf.usermodel.HSSFCellStyle initCreateCell(JRExporterGridCell gridCell,
                                                                   int colIndex,
                                                                   int rowIndex,
                                                                   JRXlsExporter.StyleInfo baseStyle)

    - #### endCreateCell

          protected void endCreateCell(org.apache.poi.hssf.usermodel.HSSFCellStyle cellStyle)

    - #### setStringCellValue

          protected final void setStringCellValue(java.lang.String textStr)

    - #### setRichTextStringCellValue

          protected final void setRichTextStringCellValue(JRStyledText styledText,
                                        short forecolor,
                                        JRFont defaultFont,
                                        java.util.Locale locale)

    - #### getRichTextString

          protected org.apache.poi.hssf.usermodel.HSSFRichTextString getRichTextString(JRStyledText styledText,
                                                                           short forecolor,
                                                                           JRFont defaultFont,
                                                                           java.util.Locale locale)

    - #### createMergeRegion

          protected void createMergeRegion(JRExporterGridCell gridCell,
                               int colIndex,
                               int rowIndex,
                               org.apache.poi.hssf.usermodel.HSSFCellStyle cellStyle)

    - #### getWorkbookColor

          protected org.apache.poi.hssf.util.HSSFColor getWorkbookColor(java.awt.Color awtColor)

    - #### getNearestColor

          protected static org.apache.poi.hssf.util.HSSFColor getNearestColor(java.awt.Color awtColor)

    - #### getLoadedFont

          protected org.apache.poi.hssf.usermodel.HSSFFont getLoadedFont(JRFont font,
                                                             short forecolor,
                                                             java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object> attributes,
                                                             java.util.Locale locale)

    - #### getLoadedCellStyle

          protected org.apache.poi.hssf.usermodel.HSSFCellStyle getLoadedCellStyle(JRXlsExporter.StyleInfo style)

    - #### getLoadedCellStyle

          protected org.apache.poi.hssf.usermodel.HSSFCellStyle getLoadedCellStyle(short mode,
                                                                       short backcolor,
                                                                       short horizontalAlignment,
                                                                       short verticalAlignment,
                                                                       short rotation,
                                                                       org.apache.poi.hssf.usermodel.HSSFFont font,
                                                                       JRExporterGridCell gridCell)

    - #### getLoadedCellStyle

          protected org.apache.poi.hssf.usermodel.HSSFCellStyle getLoadedCellStyle(short mode,
                                                                       short backcolor,
                                                                       short horizontalAlignment,
                                                                       short verticalAlignment,
                                                                       short rotation,
                                                                       org.apache.poi.hssf.usermodel.HSSFFont font,
                                                                       JRExporterGridCell gridCell,
                                                                       boolean isCellLocked,
                                                                       boolean isCellHidden)

    - #### getLoadedCellStyle

          protected org.apache.poi.hssf.usermodel.HSSFCellStyle getLoadedCellStyle(short mode,
                                                                       short backcolor,
                                                                       short horizontalAlignment,
                                                                       short verticalAlignment,
                                                                       short rotation,
                                                                       org.apache.poi.hssf.usermodel.HSSFFont font,
                                                                       net.sf.jasperreports.engine.export.JRXlsExporter.BoxStyle box)

    - #### getLoadedCellStyle

          protected org.apache.poi.hssf.usermodel.HSSFCellStyle getLoadedCellStyle(short mode,
                                                                       short backcolor,
                                                                       short horizontalAlignment,
                                                                       short verticalAlignment,
                                                                       short rotation,
                                                                       org.apache.poi.hssf.usermodel.HSSFFont font,
                                                                       net.sf.jasperreports.engine.export.JRXlsExporter.BoxStyle box,
                                                                       boolean isCellLocked,
                                                                       boolean isCellHidden)

    - #### getBorderStyle

          protected static short getBorderStyle(JRPen pen)

    - #### exportImage

          public void exportImage(JRPrintImage element,
                         JRExporterGridCell gridCell,
                         int colIndex,
                         int rowIndex,
                         int emptyCols,
                         int yCutsRow,
                         JRGridLayout layout)
                           throws JRException

      Specified by:
        `exportImage` in class `JRXlsAbstractExporter<XlsReportConfiguration,XlsExporterConfiguration,JRXlsExporterContext>`
      Throws:
        `JRException`

    - #### getColumnRelativePosition

          protected double getColumnRelativePosition(JRGridLayout layout,
                                         int col,
                                         int offset)

    - #### getRowRelativePosition

          protected double getRowRelativePosition(JRGridLayout layout,
                                      int row,
                                      int offset)

    - #### exportFrame

          protected void exportFrame(JRPrintFrame frame,
                         JRExporterGridCell gridCell,
                         int x,
                         int y)

      Specified by:
        `exportFrame` in class `JRXlsAbstractExporter<XlsReportConfiguration,XlsExporterConfiguration,JRXlsExporterContext>`

    - #### exportGenericElement

          protected void exportGenericElement(JRGenericPrintElement element,
                                  JRExporterGridCell gridCell,
                                  int colIndex,
                                  int rowIndex,
                                  int emptyCols,
                                  int yCutsRow,
                                  JRGridLayout layout)
                                       throws JRException

      Specified by:
        `exportGenericElement` in class `JRXlsAbstractExporter<XlsReportConfiguration,XlsExporterConfiguration,JRXlsExporterContext>`
      Throws:
        `JRException`

    - #### setHyperlinkCell

          protected void setHyperlinkCell(JRPrintHyperlink hyperlink)

    - #### getExporterKey

          public java.lang.String getExporterKey()

      Specified by:
        `getExporterKey` in class `JRAbstractExporter<XlsReportConfiguration,XlsExporterConfiguration,OutputStreamExporterOutput,JRXlsExporterContext>`

    - #### getExporterPropertiesPrefix

          public java.lang.String getExporterPropertiesPrefix()

      Description copied from class: `JRAbstractExporter`
      Returns the properties prefix for the current exporter.
      Specified by:
        `getExporterPropertiesPrefix` in class `JRAbstractExporter<XlsReportConfiguration,XlsExporterConfiguration,OutputStreamExporterOutput,JRXlsExporterContext>`
      Returns:
        the properties prefix for the current exporter

    - #### setFreezePane

          protected void setFreezePane(int rowIndex,
                           int colIndex,
                           boolean isRowEdge,
                           boolean isColumnEdge)

      Creates a freeze pane for the current sheet. Freeze pane row and column indexes defined at element level override indexes defined at report level. If multiple row freeze indexes are found in the same sheet, their maximum value is considered.
      Specified by:
        `setFreezePane` in class `JRXlsAbstractExporter<XlsReportConfiguration,XlsExporterConfiguration,JRXlsExporterContext>`
      Parameters:
        `rowIndex` - the freeze 0-based row index
        `colIndex` - the freeze 0-based column index
        `isRowEdge` - specifies if the freeze row index is set at element level
        `isColumnEdge` - specifies if the freeze column index is set at element level

    - #### setSheetName

          protected void setSheetName(java.lang.String sheetName)

      Specified by:
        `setSheetName` in class `JRXlsAbstractExporter<XlsReportConfiguration,XlsExporterConfiguration,JRXlsExporterContext>`

    - #### setAutoFilter

          protected void setAutoFilter(java.lang.String autoFilterRange)

      Specified by:
        `setAutoFilter` in class `JRXlsAbstractExporter<XlsReportConfiguration,XlsExporterConfiguration,JRXlsExporterContext>`

    - #### setRowLevels

          protected void setRowLevels(XlsRowLevelInfo levelInfo,
                          java.lang.String level)

      Specified by:
        `setRowLevels` in class `JRXlsAbstractExporter<XlsReportConfiguration,XlsExporterConfiguration,JRXlsExporterContext>`

    - #### setScale

          protected void setScale(java.lang.Integer scale)

      Specified by:
        `setScale` in class `JRXlsAbstractExporter<XlsReportConfiguration,XlsExporterConfiguration,JRXlsExporterContext>`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com